Delete a thread
DELETE
/v1/email/threads/{thread_id}
await bird.email.threads.delete("thr_01abc", { permanent: true });client.email.threads.delete("thr_01krdgeqcxet5s7t44vh8rt9mg", permanent=True)if err := client.Email.Threads.Delete(context.Background(), "thr_123", bird.EmailThreadsDeleteParams{Permanent: true}); err != nil {
log.Fatal(err)
}$bird->email->threads->delete('thr_01krdgeqcxet5s7t44vh8rt9mg');bird email threads delete <thread-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/email/threads/{thread_id}" \
-H "Authorization: Bearer $TOKEN" \
--url-query "permanent=false"Moves the conversation and all of its messages to the trash. Trashed messages are permanently deleted after 30 days, or sooner if the mailbox's retention period ends first. Pass permanent=true to permanently delete the conversation and its messages immediately.
Parametry
thread_id
string
Thread identifier. Starts with thr_.
Parametry zapytania
permanent
boolean
Permanently delete the conversation and its messages immediately instead of moving them to the trash.
Powiązane zasoby
Kontynuuj z dokumentacją, przewodnikami i przykładami dotyczącymi tego tematu. Zasoby są w języku angielskim.
Obejrzyj przewodnikGetting started with emailPoznaj możliwościEmailPodążaj ścieżką naukiBuild your first integrationPrzewodnik wdrożeniowySend your first email
Wypróbuj ćwiczenie i uzyskaj brief wdrożeniowy